Skip to main content
PATCH
/
api
/
v2
/
lead-lists
/
{id}
Patch lead list
curl --request PATCH \
  --url https://api.instantly.ai/api/v2/lead-lists/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "has_enrichment_task": false,
  "owned_by": "019e3bd1-8ddb-783d-bff6-eb3f15749b3c",
  "name": "My Lead List"
}
'
{
  "id": "019e3bd1-8ddb-783d-bff6-eb3dd3bb0b15",
  "organization_id": "019e3bd1-8ddb-783d-bff6-eb3e7b0325c4",
  "name": "My Lead List",
  "timestamp_created": "2026-05-18T16:00:49.627Z",
  "has_enrichment_task": false,
  "owned_by": "019e3bd1-8ddb-783d-bff6-eb3f15749b3c"
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to update

Example:

"019e3bd1-b5c7-7e14-8b7a-6b18f70754e7"

Body

application/json
has_enrichment_task
boolean | null

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
string<uuid> | null

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"019e3bd1-8ddb-783d-bff6-eb3f15749b3c"

name
string

Name of the lead list

Example:

"My Lead List"

Response

The updated Lead List

A list used to store leads

id
string<uuid>
required
read-only

Unique identifier for the lead list

Example:

"019e3bd1-8ddb-783d-bff6-eb3dd3bb0b15"

organization_id
string<uuid>
required
read-only

Organization ID that owns this lead list

Example:

"019e3bd1-8ddb-783d-bff6-eb3e7b0325c4"

name
string
required

Name of the lead list

Example:

"My Lead List"

timestamp_created
string<date-time>
required
read-only

Timestamp when the lead list was created

Example:

"2026-05-18T16:00:49.627Z"

has_enrichment_task
null | boolean

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
null | string<uuid>

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"019e3bd1-8ddb-783d-bff6-eb3f15749b3c"